﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XCE_and_XCE_input
{
    class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<string> comboItems { get; set; }
        private ObservableCollection<object> selectedItems { get; set; }

        public ViewModel()
        {
            this.ComboItems = new ObservableCollection<string>
            {
                "Item 1", "Item2", "Item3", "Item4"
            };

            //this.selectedItems = null;
            this.SelectedItems = new ObservableCollection<object>
            {
                comboItems[0], comboItems[1]
            };
        }

        public ObservableCollection<string> ComboItems
        {
            get
            {
                return this.comboItems;
            }
            set
            {
                if (this.comboItems != value)
                {
                    this.comboItems = value;
                    OnPropertyChanged("ComboItems");
                }
            }
        }

        public ObservableCollection<object> SelectedItems
        {
            get
            {
                return this.selectedItems;
            }
            set
            {
                if (this.selectedItems != value)
                {
                    this.selectedItems = value;
                    OnPropertyChanged("SelectedItems");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
